<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numfactura=$_POST["numfactura"];
$cdgtipven=$_POST["combotipoventa"];
$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numfactura2=$_POST["numfactura2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "")    { $where.=" AND cdgcli='$cdgcli'"; } 
if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }
//if ($numfactura2 <> "") { $where.=" AND facturas.numfactura='$numfactura2'"; }

if ($numfactura <> "") { $where.=" AND numfactura='$numfactura'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecha<='".$fechafin."'";
		}
	}
}

if ($dsccli <> "") { $where.=" AND cdgcli > 0  AND dsccli like '%".$dsccli."%'"; }



 $where.=" ORDER BY codfactura DESC LIMIT 300";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT cdgcli FROM facturas WHERE  ".$where )) {
  $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        <link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		


function imprimir(codfactura,marcaborrado) {
	if (marcaborrado==1) {
  
   alert ("Factura ya fue anulada no puede ser reimpresa favor verifique")
  
	 
	} else {	

		window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);	
		//window.open("../fpdf/imprimir_factura_TERMICA_SUPER.php?codfactura="+codfactura);	
		//window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura );
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);

			
			}
		}


function modifica_observacion(codfactura,marcaborrado) {
	if (marcaborrado==1) {
  
   alert ("Factura ya fue anulada no puede ser reimpresa favor verifique")
  
	 
	} else {	

parent.location.href="modifica_observacion.php?numfac=" + codfactura;

			
			}
		}




		
	function ver_proforma(codfactura,modpro) {
		
		if (modpro=='CXC') {
		
		parent.location.href="../Clientes/ver_cxc.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	
		} else {
		
		parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	

		}}
		
		
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////
		
		function eliminar_proforma(codfactura,marcaestado,modpro) {
			if (modpro=='CXC') {
				parent.location.href="../Clientes/eliminar_cxc.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}


				function ver_pagos(codfactura,cdgcli, marcaborrado) {
				
				if (marcaborrado==1) {
  
   alert ("Factura ya fue anulada no puede ser reimpresa favor verifique")
  
	 
	} else {	
			
		
		miPopup = window.open("ver_pagos.php?numfac=" + codfactura + "&cdgcli=" + cdgcli,"miwin","width=750,height=400,scrollbars=yes");
				buscar();
			miPopup.focus();
		
		
		
		}
		
		
		}			      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

			function convertir_entrega(codfactura) {
			

	
	    if (confirm(" Desea convertir esta Factura a Entrega? "))

				   
			parent.location.href="../Entregas/nueva_entrega_referencia.php?codentrega=" + codfactura;
			
			}	
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">

<?php
$contador=0;
if ( $filas > 0) {
 
$consulta2 = "SELECT codfactura FROM facturas WHERE   ".$where ;

if ($resultado2 = $mysqli->query($consulta2)) 


  
    while ($fila2 = $resultado2->fetch_assoc()) {
    
	$codfactura = $fila2["codfactura"];
 

$consulta = "SELECT modpro,cdgtipven, cdgven, codfactura,dsccli,cdgcli ,fecha ,horfac , borrado , totalfactura,estado,numfactura FROM facturas WHERE   facturas.codfactura='$codfactura' ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();


    //    $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
    //    $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];

		$modpro = $fila["modpro"];
		$cdgven = $fila["cdgven"];
		
        $dsccli = substr($dsccli, 0, 55); 


  $resultado->close();

$consultau = "SELECT * FROM usuarios WHERE codusu=$cdgven";
$resultadou = $mysqli->query($consultau);
$rowu = $resultadou->fetch_array();
$filas_vendedor = $resultadou->num_rows;

if ($filas_vendedor > 0) { 
$vendedor  = $rowu["usu"]; }else { $vendedor  = "DESCONOCIDO"; }



		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

		  <td width="6%"><div align="left"><?php echo $numfactura ?> </div></td>
								<td width="10%" align="center"><div align="center"><?php echo $fecha?></div></td>
								<td width="4%" align="right"><div align="left"><?php echo $cdgcli?></div></td>
								<td width="34%"><div align="left"><?php echo 	$dsccli?></div></td>	
								
								<?php   if ($cdgtipven == 1){?>
		  <td width="6%"><div align="center"><span class="label label-primary"><?php echo $tipo; ?></span></div></td>	
							
				<?php   } else {?>	
		  <td width="12%"><div align="center"><span class="label label-success"><?php echo $tipo; ?></span></div></td>			
		
			<?php   } ?>
			
			
												
      <td width="13%"><div align="center"><?php echo $vendedor; ?></div></td>
          <td width="9%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>
		
								<td width="1%">&nbsp;</td>
								
								<td width="3%"><a href="#"><img src="../img/Printer_Icon_32.png" alt="im" width="32" height="32" border="0" title="imprimir" onClick="imprimir(<?php echo $codfactura  ?>,'<?php echo $marcaborrado ?>' )"></a></td>
		  <td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" border="0" onClick="ver_proforma(<?php echo  $codfactura ?>,'<?php echo  $marcaborrado ?>' )" title="Visualizar"></a></div></td>
		   <td width="2%"><div align="center"><a href="#"><img src="../img/entregas_r.png" width="32" height="32" border="0" onClick="convertir_entrega(<?php echo  $codfactura ?>,'<?php echo  $marcaborrado ?>' )" title="Convertir a Entrega"></a></div></td>
		  
		           <td width="3%"> <?php if ($cdgtipven == 2) { ?>    <div align="center"><a href="#"><img src="../img/pagar.png" width="25" height="25" border="0" onClick="ver_pagos(<?php echo $codfactura  ?>, <?php echo $cdgcli ?>, '<?php echo $marcaborrado ?>' )" title="Documentos"></a></div>  <?php } ?>   </td>
				   <td width="3%"><a href="#"><img src="../img/Edit_32x32-32.png" alt="im" width="32" height="32" border="0" title="Modifica Observacion" onClick="modifica_observacion(<?php echo $codfactura  ?>,'<?php echo $marcaborrado ?>' )"></a></td>
			  </tr>
						</tr>	
						<?php $contador++;
							}
		 $resultado2->close();				
							
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
